SD_EVENT_SET_NAME(3)

NAME
sd_event_set_name, sd_event_get_name - Set human-readable names for event sources

SYNOPSIS

#include <systemd/sd-bus.h>

int sd_event_set_name(sd_event_source *source, const char *name);

int sd_event_get_name(sd_event_source *source, const char **name);

DESCRIPTION

sd_event_set_name() can be used to set an arbitrary name for the event source source. This name will be used in error messages generated by sd-event(3) for this source. Specified name must point to a NUL-terminated string or be NULL. In the latter case, the name will be unset. The string is copied internally, so the name argument is not referenced after the function returns.

sd_event_set_name() can be used to query the current name assigned to source source. It returns a pointer to the current name (possibly NULL) in name.

RETURN VALUE

On success, sd_event_set_name() and sd_event_get_name() return a non-negative integer. On failure, they return a negative errno-style error code.

ERRORS

Returned errors may indicate the following problems:

-EINVAL
    source is not a valid pointer to an sd_event_source structure or the name argument for sd_event_get_name() is NULL.

-ENOMEM
    Not enough memory to copy the name.

NOTES

Functions described here are available as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

sd-event(3), sd_event_add_time(3), sd_event_add_child(3), sd_event_add_signal(3), sd_event_add_defer(3), sd_event_run(3)